<?php
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>

	<h2 class="comments-title">
		<?php
			printf( _n( 'ONE THOUGHTS ON &ldquo;%2$s&rdquo;', '%1$s THOUGHTS ON &ldquo;%2$s&rdquo;', get_comments_number(), 'babaturan-text' ),
				number_format_i18n( get_comments_number() ), get_the_title() );
		?>
	</h2>

	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
	<nav id="comment-nav-above" class="navigation comment-navigation" role="navigation">
		<h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'babaturan-text' ); ?></h1>
		<div class="nav-previous">&larr; <?php previous_comments_link( __( 'Older Comments', 'babaturan-text' ) ); ?></div>
		<div class="nav-next"><?php next_comments_link( __( 'Newer Comments', 'babaturan-text' ) ); ?> &rarr;</div>
	</nav><!-- #comment-nav-above -->
	<?php endif; // Check for comment navigation. ?>

	<ol class="comment-list">
		<?php
			wp_list_comments( array(
				'style'      => 'ol',
				'short_ping' => true,
				'avatar_size'=> 60,
				'callback' => 'babaturan_comment_callback'
			) );
		?>
	</ol><!-- .comment-list -->

	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
	<nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
		<h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'babaturan-text' ); ?></h1>
		<div class="nav-previous">&larr; <?php previous_comments_link( __( 'Older Comments', 'babaturan-text' ) ); ?></div>
		<div class="nav-next"><?php next_comments_link( __( 'Newer Comments', 'babaturan-text' ) ); ?> &rarr;</div>
	</nav><!-- #comment-nav-below -->
	<?php endif; // Check for comment navigation. ?>

	<?php if ( ! comments_open() ) : ?>
	<p class="no-comments"><?php _e( 'Comments are closed.', 'babaturan-text' ); ?></p>
	<?php endif; ?>

	<?php endif; // have_comments() ?>

	<?php comment_form(); ?>

</div><!-- #comments -->